For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Connected User

This endpoint gets a connected user in a specific room for a specific Sonoran Radio server.

Get Connected User

GET /v2/servers/:communityId/rooms/:roomId/users/:identity

Rate limit: 12 requests per minute This endpoint has a small internal gateway buffer, but the published public limit is 12 requests per minute.

Returns a single connected participant.

Headers

Name
Value

Authorization

Bearer <community-api-key>

Examples

local response = client.radio:getConnectedUserV2(1, "91de0ce8-c571-11e9-9714-5600023b2434", "YOUR_COMMUNITY_ID")
const response = await instance.radio?.getConnectedUserV2(1, "91de0ce8-c571-11e9-9714-5600023b2434", "YOUR_COMMUNITY_ID");
response = instance.radio.getConnectedUserV2(1, "91de0ce8-c571-11e9-9714-5600023b2434", "YOUR_COMMUNITY_ID")
var response = await sonoran.Radio.getConnectedUserV2("91de0ce8-c571-11e9-9714-5600023b2434");
openapi: 3.1.0
paths:
  /v2/servers/{communityId}/rooms/{roomId}/users/{identity}:
    get:
      security:
        - bearerAuth: []
curl -X GET "https://api.sonoranradio.com/v2/servers/YOUR_COMMUNITY_ID/rooms/1/users/91de0ce8-c571-11e9-9714-5600023b2434" \
  -H "Authorization: Bearer your-community-api-key"

Response

Successful requests return application/json.

{
  "identity": "91de0ce8-c571-11e9-9714-5600023b2434",
  "name": "Officer Smith",
  "metadata": "{\"sonrad\":true}",
  "state": "ACTIVE"
}

Last updated

Was this helpful?